;****************************************************************************
;*
;*	Copyright (C) 1984-2004 Micro Focus International Ltd.
;*
;*      All rights reserved.  Unpublished, all rights reserved under
;*      copyright law and international treaty.  Use of a copyright notice
;*      is precautionary only and does not imply publication or disclosure.
;*      This software contains confidential information and trade secrets of
;*      Micro Focus Ltd. and no part of this program or publication may be
;*      reproduced, transmitted, transcribed, stored in a retrieval system,
;*      or translated into any language or computer language, in any form
;*      or by any means, electronic, mechanical, magnetic, optical, chemical,
;*      manual or otherwise, without the prior written permission of:
;*
;*      Micro Focus Ltd,
;*      The Lawn, Old Bath Road, Newbury, Berkshire, RG14 1QN, UK.
;*      (01635) 32646
;*
;*      RESTRICTED RIGHTS LEGEND
;*      Use, duplication, or disclosure by the Government is subject to
;*      restrictions as set forth in subparagraph (c)(1)(ii) of the Rights
;*      in Technical Data and Computer Software clause at DFARS 52.227-7013
;*      or subparagraphs (c)(1) and (2) of Commercial Computer Software -
;*      Restricted Rights at 48 CFR 52.227-19, as applicable.  Contact
;*      Micro Focus Incorporated, 1001 W. Maude Avenue, Sunnyvale, California 94085, USA
;*
;*	Assembler files for use in Genesis Unix builds.
;*
;*	Source Module xldyn.hp.app	Sccs Identification 5.4
;*
;*	Last Modified on 04/09/29 at 13:16:55
;*
;****************************************************************************/
;** Start of source module xldyn.hp.app **/
	.code
	.proc
	.callinfo calls, save_rp, args_saved, frame=16
	.entry
        .export &mFNAME,long_return,entry
        .import _mFdynload,code
&mFNAME
	stw	%r2,-20(%sp)
	stw	%r2,-24(%sp)
        ldo     64(%sp),%sp
        stw     %r26,-36-64(%sp)
        stw     %r25,-40-64(%sp)
        stw     %r24,-44-64(%sp)
        stw     %r23,-48-64(%sp)
	stw	%r0, -52(%sp)
	copy	%r0, %r23
        addil   LT'$&mFNAME,%r19
        ldw     RT'$&mFNAME(%r1),%r22
        ldw     0(%r22),%r24
        ldo     4(%r22),%r25
	bl	_mFdynload,%r2
	copy	%r0, %r26
	ldw	-20-64(%sp),%r2
        ldw     -36-64(%sp),%r26
        ldw     -40-64(%sp),%r25
        ldw     -44-64(%sp),%r24
        ldw     -48-64(%sp),%r23
	ldw	-2(%r28),%r22
	ldw	2(%r28),%r19
	ldsid	(%r22),%r1
	mtsp	%r1,%sr0
	be	0(%r22)
	.exit
	ldo	-64(%sp),%sp
	.procend
        .data
$&mFNAME
        .word    p%&mFNAME
        .stringz "&mFNAM2"
